package com.dcsoft.system.mapper;

import com.dcsoft.system.domain.SysPeoplePost;

import java.util.List;

/**
 * 用户与岗位关联表 数据层
 *
 * @author dcsoft
 */
public interface SysPeoplePostMapper
{
    /**
     * 通过用户ID删除用户和岗位关联
     *
     * @param peopleId 用户ID
     * @return 结果
     */
    public int deletePeoplePostByPeopleId(Long peopleId);

    /**
     * 通过岗位ID查询岗位使用数量
     *
     * @param postId 岗位ID
     * @return 结果
     */
    public int countPeoplePostById(Long postId);

    /**
     * 批量删除用户和岗位关联
     *
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deletePeoplePost(Long[] ids);

    /**
     * 批量新增用户岗位信息
     *
     * @param peoplePostList 用户角色列表
     * @return 结果
     */
    public int batchPeoplePost(List<SysPeoplePost> peoplePostList);
}
